package com.pcloud.book.applet.mapper;

import com.pcloud.book.applet.dto.AppletLabelDTO;
import com.pcloud.book.applet.dto.AppletUserLabelDTO;
import com.pcloud.book.applet.entity.AppletUserLabel;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AppletUserLabelMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AppletUserLabel record);

    int insertSelective(AppletUserLabel record);

    AppletUserLabel selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AppletUserLabel record);

    int updateByPrimaryKey(AppletUserLabel record);

    List<AppletLabelDTO> getBookClassifyAndLabel(@Param("agentId") Long agentId);

    List<AppletUserLabelDTO> listUserLabel(@Param("appletBookClassifyId") Long appletBookClassifyId, @Param("agentId") Long agentId);
}